summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--TODO27
-rwxr-xr-xupdate_jdn.sh14
2 files changed, 12 insertions, 29 deletions
diff --git a/TODO b/TODO
index f778cb61..2c8f31ac 100644
--- a/TODO
+++ b/TODO
@@ -290,9 +290,6 @@ This is about Debian, below are more todo entries for other projects…
==== reproducible Fedora
* call the script reproducible_rpms.sh as it can also build OpenSuSE packages
-* create jessie schroot with mock and yum installed
-** 'groupadd --system mock'
-** 'usermod -a -G mock jenkins'
** see below for '/etc/yum/repos.d/'
* then use yumdownloader to download rpms: 'yumdownloader --source sudo'
** https://mirrors.fedoraproject.org/metalink?repo=fedora-23&arch=X86_64 has a list of repos
@@ -300,30 +297,6 @@ This is about Debian, below are more todo entries for other projects…
** 'sudo mock -r fedora-20-x86_64 --init'
** 'sudo mock -r fedora-20-x86_64 sudo-1.8.14p3-1.fc23.src.rpm'
-----
-$ cat /etc/yum/repos.d/fedora23.repo
-[fedora23-src]
-name=fedora 23 sources
-baseurl=http://fedora.mirrors.telekom.ro/pub/fedora/linux/development/23/source/SRPMS
-enabled=1
-gpgcheck=0
-#gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-release
-----
-
-----
-# releasever=22 or 23 or… basearch=x86_64
-[fedora]
-name=Fedora $releasever - $basearch
-failovermethod=priority
-#baseurl=http://download.fedoraproject.org/pub/fedora/linux/releases/$releasever/Everything/$basearch/os/
-metalink=https://mirrors.fedoraproject.org/metalink?repo=fedora-$releasever&arch=$basearch
-enabled=1
-#metadata_expire=7d
-gpgcheck=1
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-$releasever-$basearch
-skip_if_unavailable=False
-----
-
* more notes:
** http://blog.packagecloud.io/eng/2015/05/11/building-rpm-packages-with-mock/
** http://blog.packagecloud.io/eng/2015/04/20/working-with-source-rpms/
diff --git a/update_jdn.sh b/update_jdn.sh
index d474ca60..40605a3d 100755
--- a/update_jdn.sh
+++ b/update_jdn.sh
@@ -162,7 +162,7 @@ if [ -f /etc/debian_version ] ; then
bpi0|hb0|profitbricks-build5-amd64|profitbricks-build6-amd64) DEBS="$DEBS ntpdate" ;;
*) ;;
esac
- # needed to run coreboot/openwrt/netbsd jobs
+ # needed to run coreboot/openwrt/netbsd/fedora jobs
case $HOSTNAME in
profitbricks-build3-amd64) DEBS="$DEBS
bison
@@ -183,6 +183,7 @@ if [ -f /etc/debian_version ] ; then
kgb-client
m4
make
+ mock
python3-yaml
subversion
sysvinit-core
@@ -237,7 +238,6 @@ if [ -f /etc/debian_version ] ; then
libvpx1
libxslt1-dev
linux-image-amd64
- mock
moreutils
mr
mtr-tiny
@@ -308,6 +308,16 @@ if [ -f /etc/debian_version ] ; then
fi
#
+# prepare mock to build rpms
+#
+if [ "$HOSTNAME" = "profitbricks-build3-amd64" ] ; then
+ if ! grep mock /etc/group ; then
+ groupadd --system mock
+ usermod -a -G mock jenkins
+ fi
+fi
+
+#
# deploy package configuration in /etc and /usr/local/
#
cd $BASEDIR